<div class="d-flex" >
  <div class="w-80">
<p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Temporibus excepturi est aliquid cum error repellendus dolorum! Perferendis, nostrum ea veniam deleniti minus, quidem quos aliquam repellendus natus animi nihil iusto.</p>
  <div class="note">
    <p class="mb-0 sb-color-gray-800"><i class="fa-solid fa-circle-info"></i> Required to configure git <a href="https://github.com/Sunbird-Ed/sb-styles">'sb-styles'</a> & <a href="https://github.com/Sunbird-Ed/sb-themes">'sb-themes'</a> repositories to get the utitlity styling.</p>
    </div>
    <!--Page Content-->
    <section class="docs-sections ComponentBlock" id="{{section.id}}" *ngFor="let section of sections;">
        <!-- <section id="{{section.id}}"></section> -->
        <h4 class="docs-sectionHeading">
          <span>{{section.title}}</span>
          <span class="pull-right">
          <a class="fa fa-code text-gray docs-expandCode mx-8" (click)="section.expandCode = !section.expandCode" title="Toggle Code" tabindex="0"></a>
          <a class="mx-8 cursor-pointer" title="Try StalkBlitz Demo" (click)="tryDemoLink(section.url)"><svg viewBox="0 0 28 28" aria-hidden="true" class="_boltIcon_yct9u_9" height="16" width="16"><path d="M12.747 16.273h-7.46L18.925 1.5l-3.671 10.227h7.46L9.075 26.5l3.671-10.227z"></path></svg></a>
        </span>
        </h4> 
        <div class="my-8" [innerHTML]="section.description | keepHtml"></div>
      
        <!--Display output-->
        <div class="docs-sectionDemoCode ComponentBlock__view" [innerHTML]="section.demoCode | keepHtml">
        </div>
        <!--/Display output-->
      
        <!--Display code-->
        <div class="docs-sectionCopyCode ComponentBlock__code" *ngIf="section.expandCode">
      
          <sui-tabset>
            <div class="ui top attached tabular menu">
                <a class="item" suiTabHeader="1">HTML</a>
                <a class="item" suiTabHeader="2">CSS</a>
                <a class="item" suiTabHeader="3">Variables</a>
            </div>
            <div class="ui bottom attached segment" suiTabContent="1">
          <!--Copy code button-->
          <button ngxClipboard [cbContent]="section.copyCode" class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
          <!--/Copy code button-->
      
                <!--Copy code display-->
          <pre>
            <code [highlight]="section.copyCode"></code>
          </pre>
          <!--/Copy code display-->
              </div>
              <div class="ui bottom attached segment" suiTabContent="2">
          <!--Copy code button-->
          <button ngxClipboard [cbContent]="section.copyCSS" class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
          <!--/Copy code button-->
      
                  <!--Copy code display-->
          <pre>
            <code [highlight]="section.copyCSS"></code>
          </pre>
          <!--/Copy code display-->
              </div>
              <div class="ui bottom attached segment" suiTabContent="3">
    
          <!--Copy code button-->
          <button ngxClipboard [cbContent]="section.copyVar" class="sb-btn sb-btn-primary sb-btn-xs fa fa-copy btn-copy"></button>
          <!--/Copy code button-->
                  <!--Copy code display-->
          <pre>
            <code [highlight]="section.copyVar"></code>
          </pre>
          <!--/Copy code display-->
              </div>
        </sui-tabset>
      
        </div>
        <!--/Display code-->
        
      </section>
      <!--Page Content-->
</div>

<div class="pageSection-stickybar">
  <h3 class="mb-16">In this Group Card</h3>
  <!-- <ul>
    <li>About [{{ currentSection }}]</li>
    <li (click)="scrollTo('psection1')" [ngClass]="{ 'current-section': currentSection === 'psection1' }">Basic</li>
    <li (click)="scrollTo('psection2')" [ngClass]="{ 'current-section': currentSection === 'psection2' }">Profile/Image</li>
    <li (click)="scrollTo('psection3')" [ngClass]="{ 'current-section': currentSection === 'psection3' }">Admin & Suspend enabled</li>
    <li (click)="scrollTo('psection4')" [ngClass]="{ 'current-section': currentSection === 'psection4' }">Mobile enabled</li>
    <li (click)="scrollTo('psection5')" [ngClass]="{ 'current-section': currentSection === 'psection5' }">Web enabled</li>
    <li (click)="scrollTo('psection6')" [ngClass]="{ 'current-section': currentSection === 'psection6' }">Desktop enabled</li>
  </ul> -->
  <nav class="section-nav">
		<ol>
			<li><a href="#psection1">Basic</a></li>
			<li><a href="#psection2">Profile/Image</a></li>
			<li><a href="#psection3">Admin & Suspend enabled</a></li>
			<li><a href="#psection4">Mobile enabled</a></li>
			<li class=""><a href="#psection5">Web enabled</a></li>
      <li class=""><a href="#psection6">Desktop enabled</a></li>
		</ol>
	</nav>

  <!-- <nav class="section-nav">
		<ol>
			<li><a routerLink="psection1" queryParamsHandling="preserve"
        routerLinkActive="active">Basic</a></li>
			<li><a routerLink="psection2"
        routerLinkActive="active">Profile/Image</a></li>
			<li><a routerLink="#psection3"
        routerLinkActive="active">Admin & Suspend enabled</a></li>
			<li><a routerLink="#psection4"
        routerLinkActive="active">Mobile enabled</a>
		
			</li>
			<li><a routerLink="#psection5"
        routerLinkActive="active">Web enabled</a></li>
      <li><a routerLink="#psection6"
        routerLinkActive="active">Desktop enabled</a></li>
		</ol>
	</nav> -->

</div>
</div>


<style>
  html {
	scroll-behavior: smooth;
}

/* 2. Make nav sticky */
.pageSection-stickybar > nav {
	/* position: sticky;
	top: 2rem; */
	align-self: start;
}
.pageSection-stickybar > nav ol {list-style: none;} */
/* 3. ScrollSpy active styles (see JS tab for activation) */
.section-nav li.active > a {
	color: #333;
	font-weight: 500;
}

/* Sidebar Navigation */
.section-nav {
	padding-left: 0;
	border-left: 1px solid #efefef;
}

.section-nav a {
	text-decoration: none;
	display: block;
	padding: .125rem 0;
	color: #ccc;
	transition: all 50ms ease-in-out; /* 💡 This small transition makes setting of the active state smooth */
 }

.section-nav a:hover,
.section-nav a:focus {
	color: #666;
}
</style>